﻿using Microsoft.AspNetCore.SignalR;
using System.Diagnostics;
using DeviceModelLib;

namespace DashboardApp2.Hubs
{
    public class DeviceHub : Hub
    {
        public void RegisterDeviceTypeWithDashboard(DeviceTypeInfo deviceTypeInfo)
        {
            if (deviceTypeInfo != null)
                InterHubHelper.Instance.AddDeviceType(deviceTypeInfo);
        }

        public void RegisterDeviceWithDashboard(DeviceInfo deviceInfo)
        {
            if (deviceInfo == null)
                return;

            InterHubHelper.Instance.AddDevice(deviceInfo);

            Debug.WriteLine($"***** {deviceInfo}");

            //TEST
            //Clients.All.SendAsync("ACallback", "OK");
        }

        public void ForwardMeasurement(Measurement measurement)
        {
            Debug.WriteLine($"***** {measurement.DeviceId} {measurement.StatusAsString} {measurement.Value}");

            InterHubHelper.Instance.AddMeasurement(measurement);
        }
    }
}
