import { Component } from '@angular/core';
import { HomeComponent } from '../home/home.component';
import { DevicesComponent } from '../devices/devices.component';
import { CommunicationService } from '../providers/communication.service';

@Component ({
    selector: 'nav', 
    template:  `
                <mat-toolbar  color="primary">     
                    <button mat-button (click)="switchComponents('home')">Home</button>     
                    <button mat-button (click)="switchComponents('devices')">Devices</button> 
                </mat-toolbar>
               `
})
export class NavComponent { 
    
    switchComponents(componentName: string) {
        CommunicationService.comm.selectComponentSubject.next(componentName);
    }   
}
